.navigation {

  &__list {
    list-style: none;
    padding: 0;
    margin: 0;
    width: 100%;
    max-width: 26rem;
  }

  &__item {
    &+& {
      margin-left: 6rem;
    }
  }

  &__link {
    font-weight: 700;
    text-transform: uppercase;
    text-decoration: none;
    color: var(--color__black);
    line-height: 1.5;
    position: relative;
    transition: all 0.24s;

    &::before {
      content: "";
      position: absolute;
      bottom: -0.25em;
      height: 4px;
      width: 100%;
      border-width: 1px 0;
      border-color: var(--color__red);
      border-style: solid;
      transform-origin: left center;
      transform: scaleX(0);
      transition: all 0.24s;
    }

    &.--is-active::before {
      transform: scaleX(1);
    }

    &:hover {
      color: var(--color__red);

      &::before {
        transform: scaleX(1);
      }
    }

    &:focus {
      outline: transparent;
    }

    &:focus-visible {
      color: var(--color__green);

      &::before {
        border-color: var(--color__green);
        transform: scaleX(1);
      }
    }

    &:active {
      color: var(--color__gold);

      &::before {
        border-color: var(--color__gold);
        transform: scaleX(1);
      }
    }
  }

  &__list:hover {
    .navigation__link.--is-active {
      &::before {
        transform: scaleX(0);
      }

      &:hover::before {
        transform: scaleX(1);
      }
    }
  }
}